API

API

List firmware versions

GET
/support/{product}/firmware/list

Returns a list of all firmware versions for a product.

Parameters

  • product
    string
    Required

    The product of the firmware to list the versions for.

    Accepted values
    • 3d
    • pocket
    • duo
    • mega-sg
    • super-nt
    • nt-mini-noir
    • nt-mini
    • analogue-nt

Get latest firmware

GET
/support/{product}/firmware/latest

Returns a redirect to the latest firmware for a product.

Parameters

  • product
    string
    Required

    The product of the firmware to get the latest version for.

    Accepted values
    • 3d
    • pocket
    • duo
    • mega-sg
    • super-nt
    • nt-mini-noir
    • nt-mini
    • analogue-nt

Get firmware details

GET
/support/{product}/firmware/{version}/details

Returns the details of a firmware for a product.

Parameters

  • product
    string
    Required

    The product of the firmware to get the version details for.

    Accepted values
    • 3d
    • pocket
    • duo
    • mega-sg
    • super-nt
    • nt-mini-noir
    • nt-mini
    • analogue-nt
  • version
    string
    Required

    The version of the firmware to get the details for. Can be set to "latest" to get the latest firmware.

Download firmware

GET
/support/{product}/firmware/{version}/download

Download the firmware for a product.

Parameters

  • product
    string
    Required

    The product of the firmware to download.

    Accepted values
    • 3d
    • pocket
    • duo
    • mega-sg
    • super-nt
    • nt-mini-noir
    • nt-mini
    • analogue-nt
  • version
    string
    Required

    The version of the firmware to get the download URL for. Can be set to "latest" to get the latest firmware.